Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 1433293004: [Extensions] Don't allow gin::Define to be overridden (Closed)

Created:
3 years, 10 months ago by Devlin
Modified:
3 years, 10 months ago
CC:
chromium-apps-reviews_chromium.org, chromium-reviews, extensions-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[Extensions] Don't allow gin::Define to be overridden Use DefineOwnProperty instead of Set in for gin, including gin::Define. Replace Set in v8_helpers as well, to avoid the same problem. Also update callsites from JS to CHECK expected arguments, rather than DCHECK (since receiving unexpected arguments likely means executing untrusted code). BUG=549986 Committed: https://crrev.com/415b73b1a400a994a86e6f29709aa0271e895dd5 Cr-Commit-Position: refs/heads/master@{#359460}

Patch Set 1 #

Total comments: 3

Patch Set 2 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+129 lines, -31 lines) Patch
M chrome/browser/extensions/extension_bindings_apitest.cc View 1 chunk +26 lines, -0 lines 0 comments Download
A chrome/test/data/extensions/api_test/bindings/override_gin_define.html View 1 chunk +69 lines, -0 lines 0 comments Download
M extensions/renderer/api_activity_logger.cc View 1 chunk +4 lines, -4 lines 0 comments Download
M extensions/renderer/blob_native_handler.cc View 2 chunks +5 lines, -5 lines 0 comments Download
M extensions/renderer/file_system_natives.cc View 4 chunks +9 lines, -9 lines 0 comments Download
M extensions/renderer/module_system.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M extensions/renderer/v8_helpers.h View 1 3 chunks +12 lines, -10 lines 0 comments Download
M gin/converter.h View 1 chunk +2 lines, -1 line 0 comments Download

Messages

Total messages: 10 (3 generated)
Devlin
https://codereview.chromium.org/1433293004/diff/1/extensions/renderer/v8_helpers.h File extensions/renderer/v8_helpers.h (right): https://codereview.chromium.org/1433293004/diff/1/extensions/renderer/v8_helpers.h#newcode72 extensions/renderer/v8_helpers.h:72: return IsTrue(object->Set(context, index, value)); Is there a way to ...
3 years, 10 months ago (2015-11-12 23:10:15 UTC) #3
jochen (gone - plz use gerrit)
https://codereview.chromium.org/1433293004/diff/1/extensions/renderer/v8_helpers.h File extensions/renderer/v8_helpers.h (right): https://codereview.chromium.org/1433293004/diff/1/extensions/renderer/v8_helpers.h#newcode72 extensions/renderer/v8_helpers.h:72: return IsTrue(object->Set(context, index, value)); On 2015/11/12 at 23:10:15, Devlin ...
3 years, 10 months ago (2015-11-12 23:17:37 UTC) #4
Devlin
https://codereview.chromium.org/1433293004/diff/1/extensions/renderer/v8_helpers.h File extensions/renderer/v8_helpers.h (right): https://codereview.chromium.org/1433293004/diff/1/extensions/renderer/v8_helpers.h#newcode72 extensions/renderer/v8_helpers.h:72: return IsTrue(object->Set(context, index, value)); On 2015/11/12 23:17:37, jochen (slow ...
3 years, 10 months ago (2015-11-12 23:40:48 UTC) #5
jochen (gone - plz use gerrit)
lgtm
3 years, 10 months ago (2015-11-12 23:42:21 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1433293004/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1433293004/20001
3 years, 10 months ago (2015-11-13 00:39:17 UTC) #8
commit-bot: I haz the power
Committed patchset #2 (id:20001)
3 years, 10 months ago (2015-11-13 01:14:57 UTC) #9
commit-bot: I haz the power
3 years, 10 months ago (2015-11-13 01:16:32 UTC) #10
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/415b73b1a400a994a86e6f29709aa0271e895dd5
Cr-Commit-Position: refs/heads/master@{#359460}

Powered by Google App Engine
This is Rietveld 408576698